Bug 155953 - CAN-2005-1275 ImageMagick PNM heap overflow
CAN-2005-1275 ImageMagick PNM heap overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ImageMagick (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
impact=important,public=20050424,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-25 21:30 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-25 12:14:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-04-25 21:30:29 EDT
A heap based buffer overflow exists in ImageMagick's PNM decoder.

http://www.overflow.pl/adv/imheapoverflow.txt

Here's exploit (in the event the website vanishes)
perl -e 'print "P7\n1\n1 1\n1"' > vuln.pnm
Comment 1 Josh Bressers 2005-04-26 10:03:42 EDT
This issue also affects RHEL3
Comment 2 Matthias Clasen 2005-04-26 10:50:03 EDT
6.0.7.1-11 contains the fix for RHEL4
5.5.6.14 for RHEL3
Comment 3 Josh Bressers 2005-05-25 12:14:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-413.html

Note You need to log in before you can comment on or make changes to this bug.